Change password
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"old_password": "<string>",
"new_password": "<string>",
"confirm_password": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/change-password"
payload = {
"old_password": "<string>",
"new_password": "<string>",
"confirm_password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
old_password: '<string>',
new_password: '<string>',
confirm_password: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"access_token": "<string>",
"refresh_token": "<string>"
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}Auth
Change password
Changes the authenticated userβs password. Requires the current password and the new password.
POST
/
auth
/
change-password
Change password
Authorizations
Access token
Body
application/json
The old password associated with the user's account. This parameter is crucial for verifying the user's identity before allowing a password change.
The new password that the user intends to set for their account. This parameter is necessary for updating the password to enhance account security.
A confirmation of the new password.
Response
OK
A descriptive message confirming the success or failure of the change password operation.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Show child attributes
Was this page helpful?
βI